#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    int n,m,a,b;
    cin>>n>>m;
    long long niz[n],sreca=0;
    pair<long long,long long> poz[n];
    for(int i=0;i<n;i++)
    {
        poz[i]={0,0};
    }
    for(int i=0;i<n;i++)
    {
        cin>>niz[i];
    }
    for(int i=0;i<m;i++)
    {
        cin>>a>>b;
        if(niz[a-1]>0 && niz[b-1]>0)
        {
            poz[a-1].first+=1;
            poz[b-1].first+=1;
        }
        else if(niz[a-1]<0 && niz[b-1]<0)
        {
            poz[a-1].second+=1;
            poz[b-1].second+=1;
        }
        else
        {
            if(abs(niz[a-1])==max(abs(niz[a-1]),abs(niz[b-1])))
            {
                if(niz[a-1]<0)
                {
                     poz[a-1].second+=1;
                     poz[b-1].second+=1;
                }
                else
                {
                    poz[a-1].first+=1;
                    poz[b-1].first+=1;
                }
            }
            else
            {
                if(niz[b-1]<0)
                {
                     poz[a-1].second+=1;
                     poz[b-1].second+=1;
                }
                else
                {
                     poz[a-1].first+=1;
                     poz[b-1].first+=1;
                }
            }
        }

    }
    for(int i=0;i<n;i++)
    {
        sreca+=niz[i]*(poz[i].first-poz[i].second);
    }
    cout << sreca;
    return 0;
}